namespace Fast.Models;

public class PipeRateScheduleDetailDiscount
{
    public int Id { get; set; }
    public int RateTypeId { get; set; }
    public DateOnly EffectiveDate { get; set; }
    public DateOnly? ExpirationDate { get; set; }
    public double Rate { get; set; }
    public List<int> FromZoneIds { get; set; } = new();
    public List<int> FromMeterIds { get; set; } = new();
    public List<int> ToZoneIds { get; set; } = new();
    public List<int> ToMeterIds { get; set; } = new();
    public List<int> CounterpartyIds { get; set; } = new();
    public List<DocItem> Documents { get; set; } = new();
    public string? Notes { get; set; }
}
